aboutsummaryrefslogtreecommitdiffstats
path: root/pkgs/by-name/ne/neorg/functions/context.sh
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:26:22 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:26:22 +0200
commit204731c0a69136c9cebcb54f1afecf5145e26bbe (patch)
treefc9132e5dc74e4a8e1327cdd411839a90f9410aa /pkgs/by-name/ne/neorg/functions/context.sh
parentrefactor(sys): Modularize and move to `modules/system` or `pkgs` (diff)
downloadnixos-config-204731c0a69136c9cebcb54f1afecf5145e26bbe.zip
refactor(pkgs): Categorize into `by-name` shards
This might not be the perfect way to organize a package set -- especially if the set is not nearly the size of nixpkgs -- but it is _at_ least a way of organization.
Diffstat (limited to 'pkgs/by-name/ne/neorg/functions/context.sh')
-rwxr-xr-xpkgs/by-name/ne/neorg/functions/context.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/pkgs/by-name/ne/neorg/functions/context.sh b/pkgs/by-name/ne/neorg/functions/context.sh
new file mode 100755
index 00000000..7095847d
--- /dev/null
+++ b/pkgs/by-name/ne/neorg/functions/context.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env dash
+
+context0open_current_task_context() {
+ current_context="$(utils0get_current_context)"
+
+ if [ "$current_context" ]; then
+ context_path="$(utils0get_current_context_path "$current_context")"
+
+ extended_neorg_project_dir="$(utils0get_neorg_project_dir)"
+ cd "$extended_neorg_project_dir" || die "(BUG?): Can not access the project dir: $extended_neorg_project_dir"
+
+ nvim "$extended_neorg_project_dir/$context_path"
+
+ git add .
+ git commit --message="chore($(dirname "$context_path")): Update" --no-gpg-sign
+ else
+ warn "No context active"
+ fi
+}
+
+context0open_current_task_context_at_task_id() {
+ task_id="$1"
+ current_context="$(utils0get_current_context)"
+
+ if [ "$current_context" ]; then
+ context_path="$(utils0get_current_context_path "$current_context")"
+ extended_neorg_project_dir="$(utils0get_neorg_project_dir)"
+ task_uuid="$(task "$task_id" uuids)"
+
+ cd "$extended_neorg_project_dir" || die "(BUG?): Can not access the project dir: $extended_neorg_project_dir"
+
+ if ! grep -q "% $task_uuid" "$extended_neorg_project_dir/$context_path"; then
+ echo "* TITLE (% $task_uuid)" >>"$extended_neorg_project_dir/$context_path"
+ fi
+
+ nvim "$extended_neorg_project_dir/$context_path" -c "/% $task_uuid"
+
+ git add .
+ git commit --message="chore($(dirname "$context_path")): Update" --no-gpg-sign
+ else
+ warn "No context active"
+ fi
+}